Subject: Re: bug#61394: 30.0.50; [PATCH] Image-dired thumb name based on content

From: Manuel Giraud <[email-masked]>
Date: Sun, 19 Feb 2023 15:43:26 +0100

Stefan Kangas <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
>>> I think 'image-dired-thumbnail-storage' is already complicated enough,
>>> and I'd rather not complicate it further.
>>
>> I don't understand here.  Do you suggest introducing another
>> custom/variable?  'image-dired-thumbnail-storage' has currently only 3
>> possible values.  I was suggesting adding one more.
>
> That variable relates to *where* to store the thumbnail files, not how
> to name the thumbnail files.  I might want to use `image-dired' or
> `per-directory' using either thumbnail naming scheme.
>
> So a new variable makes more sense, as it is orthogonal from
> `image-dired-thumbnail-storage'.
>
>>> Hmm, it sounds a bit too nondescript.  How about something like
>>> 'image-dired-thumbnail-naming'?
>>
>> Do you mean as a name for a new variable? (I was talking about a new
>> possible value for image-dired-thumbnail-storage)
>
> Yes.  However, we currently have `image-dired-thumb-size', so perhaps
> `image-dired-thumb-naming' is better.

Ok.  I like that.  I'll try to come up with something but I think I'll
do some cleaning in the process as currently
'image-dired-thumbnail-storage' decides more than just the "where"
(eg. add "thumb" somewhere).
-- 
Manuel Giraud